Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Lisp
  Wie Befehl ändern, um Attribute in vorhandenen Blöcken zu ändern?

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Wie Befehl ändern, um Attribute in vorhandenen Blöcken zu ändern? (297 mal gelesen)
die wölfin
Mitglied
Bauzeichnerin, FB Hochbau, Schwerpunkt Senioren- und Behindertengerechtes


Sehen Sie sich das Profil von die wölfin an!   Senden Sie eine Private Message an die wölfin  Schreiben Sie einen Gästebucheintrag für die wölfin

Beiträge: 106
Registriert: 09.05.2003

Win 7 Professional (64 Bit),
AutoCAD Architecture 2015,
HP DesignJet T730,
Ricoh Aficio MP C3001

erstellt am: 17. Okt. 2017 09:49    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities


Raumindex_Part0_1-50a.dwg.txt

 
Hallöle an Alle!  

Ich bin gerade ein wenig am verzweifeln, weil ich aktuell an den Rand meiner (leider nur seeeehr geringen) Lisp-Kenntnisse komme.
Ich habe vor längerer Zeit mal einen Befehl erstellt, um einen selbst erstellten Info-Block mit automatisch ausgefüllten Attributen
mit gewissen Daten in meine Zeichnungen einzufügen.
Ich klicke dazu zuerst eine geschlossene Polylinie an und gebe dann den Befehl "rx" ein. Anschließend wird der Block eingefügt, ich
kann sagen, wo ich ihn gern hin hätte, dann trägt er automatisch die Fläche und den Umfang der zuvor angeklickten Polylinie ein und
öffnet den Block dann zur Bearbeitung der Attribute, damit ich z.B. noch eine Raum-Nr. und einen Raum-Namen eingeben kann.
Da sich natürlich im Zuge der Entwicklung des Bauprojekts auch mal die abgefragte Fläche vielleicht ändert, würde ich dann zu gern
einfach wieder die geänderte Polylinie erfassen, den neuen Befehl eingeben, den zu ändernen Block anklicken und er ändert dann einfach
eigenständig die beiden Attribute "Fläche" und "Umfang" und gut ist.
Nur leider verzweifel ich langsam dabei, wie ich es hinkriege BESTEHENDE Block-Attribute eines einzelnen anzuklickenden Blocks zu ÄNDERN.
Denn alle Befehle die ich bisher ausprobiert habe, lassen sich partout nicht in Lisp-Dateien entsprechend anwenden oder ich müsste jedes
Attribut einzeln anklicken und ändern. Schließlich will ich alle anderen Blöcke mit ihren gleichnamigen Attributen so lassen, wie sie sind.
Also, habt ihr irgendeine Idee, wie ich den Befehl umschreiben kann???
(Perfekt wäre es übrigens, wenn man die von mir verwendete "Superlaien-Gekrackel-für-Profis-Augenverdreher-Lisp-Schreibeise" halbwegs
beibehalten könnte, damit ich die Funktion evtl. bei Bedarf auch selber für andere Befehle umändern kann. )

Schon mal hoffungsvoll besten Dank vorab!!!

wölfin

Hier also das Script, dass beim einfügen verwendet wird und im Anhang der Block um den es geht.

;;
(defun C:rx ( )
  (command "zurück" "beginn")
  (command "liste" "v" "")
  (setq temp001 (getvar "clayer"))
  (setq temp002 (getvar "celtype"))
  (setq temp003 (getvar "cecolor"))
  (setq temp009 (getvar "luprec"))
  (command  "luprec" "2")
  (setq temp014 (getvar "area"))
  (setq temp011 (rtos (getvar "area")))
  (setq temp005 (rtos (getvar "perimeter")))
  (kal "temp013=temp014*0.98")
  (command "userr3" temp013)
  (setq temp013 (rtos (getvar "userr3")))
  (setq temp006 (strcat "A=" temp013 "qm"))
  (setq temp007 (strcat "U=" temp005 "m"))
  (command "textbld")
  (command "graphbld")
  (princ "\n\n\nNettofläche:      ") (princ temp011) (princ "qm")
  (princ "\nNetto-Umfang:     ") (princ temp005) (princ "m")
  (princ "\nWohnfläche (98%): ") (princ temp013) (princ "qm\n")
  (command "attdia" "0")
  (command "-farbe" "vonlayer")
  (command "-linientyp" "setzen" "vonlayer" "")
  (command "-layer" "m" "Raumindex_nur Name u Fläche_1-50" "")
  (command "-einfüge" "H:/Zubehoer 2015/Raumindex_Part0_1-50a.dwg" pause "1.466666666666" "1.466666666666" "0" "" "" temp006 temp007 "" "" "" "" "" "")
  (command "clayer" temp001)
  (command "celtype" temp002)
  (command "cecolor" temp003)
  (command "luprec" temp009)
  (command "attdia" "1")
  (command "ddatte" "l")
  (command "zurück" "ende")
  (princ)
)
;;

------------------
Sollte ich eines Tages erfahren, dass ich schon morgen sterben muss, will ich mich nicht darüber ärgern,
mir nicht genügend Zeit für die schönen Dinge im Leben genommen zu haben, sondern lächelnd in Erinnerungen schwelgen...

[Diese Nachricht wurde von die wölfin am 17. Okt. 2017 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

joern bosse
Ehrenmitglied
Dipl.-Ing. Vermessung


Sehen Sie sich das Profil von joern bosse an!   Senden Sie eine Private Message an joern bosse  Schreiben Sie einen Gästebucheintrag für joern bosse

Beiträge: 1597
Registriert: 11.10.2004

Window 8.1
ACAD 2005-2016
CIVIL 2010 - 2016
BricsCAD V13-V15
Intel(R) Core(TM)i7-4700HQ CPU @ 2.40GHz 2.40 GHz
16.0GB RAM
NVIDIA GeForce GTX 850M

erstellt am: 17. Okt. 2017 14:49    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für die wölfin 10 Unities + Antwort hilfreich

Hallo Wölfin,
eins vorweg, eigentlich sollte ich hier keine kompletten Codes reinstellen, wegen der Hilfe zur Selbsthilfe. Aber ich hatte ein paar Minuten, und vielleicht kannst Du Dir Code ja auch anschauen, anstatt nur zu benutzen;-)

Funktion rx: Polylinie auswählen, dann wird der Block eingefügt und die Attribute angepasst
Funktion rxu: ("u" steht für Update): Block picken, Polylinie picken, die Attribute werden angepasst

Code:

;;;Polylinie auswählen, Block wird eingefügt
(defun c:rx ( / )
  (rx nil)
  (princ))
;;;Update Block, Block picken, dann die Polylinie
(defun c:rxu ( / OBJ)
  (if (and(setq obj(car (entsel "\nBlock picken:")))
  (=(cdr(assoc 0 (entget obj)))"INSERT")
  (=(cdr(assoc 2 (entget obj)))"Raumindex_Part0_1-50a"))
    (rx obj)
    (alert "Keinen gültigen Block gepickt.")
    )
  (princ))

;;;Layer erstellen
(defun rx:Layer (name / )
  (if (not (tblsearch "LAYER" name))
    (entmake (list'(0 . "LAYER")
  '(100 . "AcDbSymbolTableRecord")
  '(100 . "AcDbLayerTableRecord")
  (cons 2  name)
  '(70 . 0)
  '(62 . 7)
  ))))
                         
;;;Hauptfunktion
(defun rx (objBlock / ATTLIST ATTREQALT DIMZINALT FAKTOR LAYERNAME OBJ PFAD)
  (vl-load-com)
  (setq faktor 1.466666666666
layerName "Raumindex_nur Name u Fläche_1-50")
  (setq pfad "H:\\Zubehoer 2015\\Raumindex_Part0_1-50a.dwg")
  (if (and(setq obj (car (entsel "\ngeschlossene Polylinie picken:")))
  (member (cdr(assoc 0 (entget obj)))'("POLYLINE" "LWPOLYLINE"))
  (=(logand (cdr(assoc 70 (entget obj)))1)1)
  )
    (progn
      (setq DimzinAlt (getvar "DIMZIN"))
      (setvar "DIMZIN" 3)

      ;;;wenn noch kein Block, dann einfügen
      (if (not objBlock)
(progn
  (rx:Layer layerName)
  (setq AttreqAlt (getvar "ATTREQ"))
  (setvar "ATTREQ" 0)
  (command "_.insert" pfad pause faktor faktor 0.0)
  (setq objBlock (entlast))
  (vla-put-layer (vlax-ename->vla-object objBlock)LayerName)
  (setvar "ATTREQ" 1)))

      ;;;Attribute "FLÄCHE" und "UMFANG" aktualisieren
      (setq AttList (JBf_list_att_aus_block_vla-obj
      (vlax-ename->vla-object objBlock)))
      (vla-put-TextString (cadr(assoc "FLÄCHE" AttList))
(strcat "A=" (rtos(vla-get-area (vlax-ename->vla-object obj))2 2)"qm"))
      (vla-put-TextString (cadr(assoc "UMFANG" AttList))
(strcat "U=" (rtos(vla-get-length (vlax-ename->vla-object obj))2 2)"m"))

      (setvar "DIMZIN" DimzinAlt)
      )
    (alert "Keine geschlossen Poly gepickt."))
  )
     

;;Att_liste aus vla-object
(defun JBf_list_att_aus_block_vla-obj(vla-obj / A)
  (if (=(vla-get-hasattributes vla-obj):vlax-true)
    (mapcar '(lambda(A)(list(strcase(vlax-get A 'TagString))A))
      (vlax-safearray->list (vlax-variant-value(vla-getattributes vla-obj))))
  ))


------------------
viele Grüße

Jörn
http://www.bosse-engineering.com

Liniensignaturen Youtube

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

die wölfin
Mitglied
Bauzeichnerin, FB Hochbau, Schwerpunkt Senioren- und Behindertengerechtes


Sehen Sie sich das Profil von die wölfin an!   Senden Sie eine Private Message an die wölfin  Schreiben Sie einen Gästebucheintrag für die wölfin

Beiträge: 106
Registriert: 09.05.2003

Win 7 Professional (64 Bit),
AutoCAD Architecture 2015,
HP DesignJet T730,
Ricoh Aficio MP C3001

erstellt am: 17. Okt. 2017 15:15    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Oh Jörn, das ist SUUUUUUUUPER!!!!!
Es funktioniert tadellos!!!
Du bist mein heutiger HELD DES TAGES!!!   

Zitat:
... und vielleicht kannst Du Dir Code ja auch anschauen, anstatt nur zu benutzen ;-) ....

Nicht nur gaaaaanz dick versprochen, sondern garantiert!!!! 

Ich habe jetzt auch just ein AutoLISP-Handbuch vor die Nase gekriegt, dem ich mich gern mal etwas mehr widmen möchte.
(Weitere Buchempfehlungen oder diesbezüglich hilfreiche Links nehme ich natürlich auch immer gern entgegen!  )

Noch mal ein megadickes Dankeschön für all die Mühe und einen wunderschönen Tag noch!!!!

------------------
Sollte ich eines Tages erfahren, dass ich schon morgen sterben muss, will ich mich nicht darüber ärgern,
mir nicht genügend Zeit für die schönen Dinge im Leben genommen zu haben, sondern lächelnd in Erinnerungen schwelgen...

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

joern bosse
Ehrenmitglied
Dipl.-Ing. Vermessung


Sehen Sie sich das Profil von joern bosse an!   Senden Sie eine Private Message an joern bosse  Schreiben Sie einen Gästebucheintrag für joern bosse

Beiträge: 1597
Registriert: 11.10.2004

Window 8.1
ACAD 2005-2016
CIVIL 2010 - 2016
BricsCAD V13-V15
Intel(R) Core(TM)i7-4700HQ CPU @ 2.40GHz 2.40 GHz
16.0GB RAM
NVIDIA GeForce GTX 850M

erstellt am: 17. Okt. 2017 15:18    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für die wölfin 10 Unities + Antwort hilfreich

Hallo Wölfin,
Zitat:
Nicht nur gaaaaanz dick versprochen, sondern garantiert!!!!

Das hört sich doch schon mal gut an, vielleicht solltest Du, wenn noch nicht der Fall, Dich mit dem Visual-Lisp-Editor vertraut machen:
http://www.bosse-engineering.com/JB_Data/Bosse-engineering/090501_VisualLISP-Editor.pdf


------------------

viele Grüße

Jörn
http://www.bosse-engineering.com

Liniensignaturen Youtube

[Diese Nachricht wurde von joern bosse am 17. Okt. 2017 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

die wölfin
Mitglied
Bauzeichnerin, FB Hochbau, Schwerpunkt Senioren- und Behindertengerechtes


Sehen Sie sich das Profil von die wölfin an!   Senden Sie eine Private Message an die wölfin  Schreiben Sie einen Gästebucheintrag für die wölfin

Beiträge: 106
Registriert: 09.05.2003

Win 7 Professional (64 Bit),
AutoCAD Architecture 2015,
HP DesignJet T730,
Ricoh Aficio MP C3001

erstellt am: 17. Okt. 2017 15:29    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Dickes Dankeschön auch für diese Empfehlung!!!
Na, dem Visual-Lisp-Editor gönne ich doch mal sehr gern was von meiner Freizeit! 

------------------
Sollte ich eines Tages erfahren, dass ich schon morgen sterben muss, will ich mich nicht darüber ärgern,
mir nicht genügend Zeit für die schönen Dinge im Leben genommen zu haben, sondern lächelnd in Erinnerungen schwelgen...

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

jupa
Ehrenmitglied V.I.P. h.c.
ehemals CAD-Trainer (ATC) und Konstrukteur (Dipl.-Ing)


Sehen Sie sich das Profil von jupa an!   Senden Sie eine Private Message an jupa  Schreiben Sie einen Gästebucheintrag für jupa

Beiträge: 5249
Registriert: 16.09.2004

WINDOWS Vista Ultimate SP2 (64bit), NVIDIA Geforce 9600M GT, AutoCAD 2013.

erstellt am: 17. Okt. 2017 16:41    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für die wölfin 10 Unities + Antwort hilfreich

Zitat:
Original erstellt von die wölfin:

Ich habe jetzt ... ein AutoLISP-Handbuch ...
(Weitere Buchempfehlungen ... gern)


Und welches ist das eine, das Du nun schon hast?

Jürgen

------------------
Bildung kommt nicht vom Lesen, sondern vom Nachdenken über das Gelesene. (Carl Hilty)

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

die wölfin
Mitglied
Bauzeichnerin, FB Hochbau, Schwerpunkt Senioren- und Behindertengerechtes


Sehen Sie sich das Profil von die wölfin an!   Senden Sie eine Private Message an die wölfin  Schreiben Sie einen Gästebucheintrag für die wölfin

Beiträge: 106
Registriert: 09.05.2003

Win 7 Professional (64 Bit),
AutoCAD Architecture 2015,
HP DesignJet T730,
Ricoh Aficio MP C3001

erstellt am: 17. Okt. 2017 19:47    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Jürgen,

einer, mit dem ich gelegentlich beruflich zu tun habe, hat mir das Handbuch "AutoLISP zu AutoCAD Realease 14",
das man überall auch online findet, nahegelegt. Er sagte, dass sich das zwar noch auf AutoCAD R14 bezieht, aber
trotzdem sehr lehrreich einem die Grundzüge beibringen würde und die lisp-Codes auch noch immer passen.
Ich hoffe nur, das stimmt auch!?! 
Kennst Du es vielleicht auch und kannst mir was dazu sagen? Nicht, dass ich es erst nachher merke, dass es leider
ein Fehler war sich damit zu befassen... 

Schöne Grüße,

wölfin

------------------
Sollte ich eines Tages erfahren, dass ich schon morgen sterben muss, will ich mich nicht darüber ärgern,
mir nicht genügend Zeit für die schönen Dinge im Leben genommen zu haben, sondern lächelnd in Erinnerungen schwelgen...

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

spider_dd
Mitglied



Sehen Sie sich das Profil von spider_dd an!   Senden Sie eine Private Message an spider_dd  Schreiben Sie einen Gästebucheintrag für spider_dd

Beiträge: 907
Registriert: 27.11.2003

Win7/64
ACAD 2014
C3D 2014
ET

erstellt am: 18. Okt. 2017 08:58    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für die wölfin 10 Unities + Antwort hilfreich

Hallo wölfin,

ich verweise mal auf DAS "Standardwerk" was online Lisp-Tutorial angeht.

Gruß
Thomas

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

jupa
Ehrenmitglied V.I.P. h.c.
ehemals CAD-Trainer (ATC) und Konstrukteur (Dipl.-Ing)


Sehen Sie sich das Profil von jupa an!   Senden Sie eine Private Message an jupa  Schreiben Sie einen Gästebucheintrag für jupa

Beiträge: 5249
Registriert: 16.09.2004

WINDOWS Vista Ultimate SP2 (64bit), NVIDIA Geforce 9600M GT, AutoCAD 2013.

erstellt am: 18. Okt. 2017 10:44    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für die wölfin 10 Unities + Antwort hilfreich

Zitat:
Original erstellt von die wölfin:

Nicht, dass ich es erst nachher merke, dass es leider
ein Fehler war sich damit zu befassen... 

Konkret dieses Buch kenne ich zwar nicht, denke aber kaum, daß es ein Fehler sein wird, sich damit zu befassen, insbes. wenn es zunächst um die Grundlagen geht. Ich selbst habe noch das "AutoLISP Handbuch für Programmierer" für AutoCAD Rel. 12 (Bestandteil der offiziellen Produktdokumentation) im Schrank stehen. Daneben steht von Schmidt/Schütz ein "AutoLISP für AutoCAD 11" (nicht 2011) vom tewi-Verlag. Wiewohl bei letzterem sogar noch eine 5 1/4 Zoll Diskette mit Übungsbeispielen dabei ist, die heutzutage kaum noch einer öffnen/lesen kann - in beide guck ich gelegentlich (wenn auch nicht gerade häufig) noch rein.    
Und ergänzend zu dem Tip von Thomas (spider_dd) noch die Information, daß dieses Werk auch als Buch unter dem Titel "Kochbuch AutoLISP" vertrieben wurde. Inwieweit noch verfügbar, ...?

Jürgen

------------------
Bildung kommt nicht vom Lesen, sondern vom Nachdenken über das Gelesene. (Carl Hilty)

[Diese Nachricht wurde von jupa am 18. Okt. 2017 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

joern bosse
Ehrenmitglied
Dipl.-Ing. Vermessung


Sehen Sie sich das Profil von joern bosse an!   Senden Sie eine Private Message an joern bosse  Schreiben Sie einen Gästebucheintrag für joern bosse

Beiträge: 1597
Registriert: 11.10.2004

Window 8.1
ACAD 2005-2016
CIVIL 2010 - 2016
BricsCAD V13-V15
Intel(R) Core(TM)i7-4700HQ CPU @ 2.40GHz 2.40 GHz
16.0GB RAM
NVIDIA GeForce GTX 850M

erstellt am: 18. Okt. 2017 11:36    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für die wölfin 10 Unities + Antwort hilfreich

@Jürgen,
ich habe gerade mal bei Amazon geschaut, das Kochbuch wird ab 249,90 EUR gebraucht angeboten, Frechheit

------------------
viele Grüße

Jörn
http://www.bosse-engineering.com

Liniensignaturen Youtube

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

runkelruebe
Ehrenmitglied V.I.P. h.c.
Straßen- / Tiefbau



Sehen Sie sich das Profil von runkelruebe an!   Senden Sie eine Private Message an runkelruebe  Schreiben Sie einen Gästebucheintrag für runkelruebe

Beiträge: 7636
Registriert: 09.03.2006

sw:
Win7-x64
Office 365 ProPlus
C3D (& LT )
ET; DACH; Extensions
-------------------
hw:
FX3800
i5 CPU 670
8GB RAM

erstellt am: 18. Okt. 2017 11:50    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für die wölfin 10 Unities + Antwort hilfreich

Jo, bald können wir, die damals in gefällte Bäume investiert haben, uns diese vergolden lassen  

Wenn's nicht unbedingt Papier sein muß, vielleicht tut es das ebook, das bei tunnelbauers Buch bei ist (war?). https://ww3.cad.de/foren/ubb/Forum145/HTML/003501.shtml (Folgelinks beachten)

------------------
Gruß,
runkelruebe          Herr Kann-ich-nich wohnt in der Will-ich-nich-Straße...

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

die wölfin
Mitglied
Bauzeichnerin, FB Hochbau, Schwerpunkt Senioren- und Behindertengerechtes


Sehen Sie sich das Profil von die wölfin an!   Senden Sie eine Private Message an die wölfin  Schreiben Sie einen Gästebucheintrag für die wölfin

Beiträge: 106
Registriert: 09.05.2003

Win 7 Professional (64 Bit),
AutoCAD Architecture 2015,
HP DesignJet T730,
Ricoh Aficio MP C3001

erstellt am: 18. Okt. 2017 14:13    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallöle an Alle!

zunächst noch mal ein dickes Dankeschön an alle für die tolle Hilfe und diversen Lektüre-Empfehlungen!!!
Ich bin echt begeistert! 

Ich könnte jedoch noch eine kurze Hilfe zu dem Script von Jörn gebrauchen, weil meine eigenen Änderungsversuche
leider kläglich gescheitert sind.    Mir ist gerade aufgefallen, dass die Fläche leider Brutto eingefügt wird
und nicht wie in meinem Lisp nur 98% der Fläche. Ich habe schon versuch es selbst zu ändern, aber irgendwie krieg
ich doofe Kuh es partout nicht hin! Kann mir irgendjemand noch diesbezüglich helfen und den entsprechenden Part
ergänzen?

Noch mal hoffungsvoll besten Dank vorab!!! 

wölfin

------------------
Sollte ich eines Tages erfahren, dass ich schon morgen sterben muss, will ich mich nicht darüber ärgern,
mir nicht genügend Zeit für die schönen Dinge im Leben genommen zu haben, sondern lächelnd in Erinnerungen schwelgen...

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

joern bosse
Ehrenmitglied
Dipl.-Ing. Vermessung


Sehen Sie sich das Profil von joern bosse an!   Senden Sie eine Private Message an joern bosse  Schreiben Sie einen Gästebucheintrag für joern bosse

Beiträge: 1597
Registriert: 11.10.2004

Window 8.1
ACAD 2005-2016
CIVIL 2010 - 2016
BricsCAD V13-V15
Intel(R) Core(TM)i7-4700HQ CPU @ 2.40GHz 2.40 GHz
16.0GB RAM
NVIDIA GeForce GTX 850M

erstellt am: 18. Okt. 2017 14:29    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für die wölfin 10 Unities + Antwort hilfreich

Hallo Wölfin,
ungetestet:
(*(vla-get-area (vlax-ename->vla-object obj))0.98)

------------------
viele Grüße

Jörn
http://www.bosse-engineering.com

Liniensignaturen Youtube

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

die wölfin
Mitglied
Bauzeichnerin, FB Hochbau, Schwerpunkt Senioren- und Behindertengerechtes


Sehen Sie sich das Profil von die wölfin an!   Senden Sie eine Private Message an die wölfin  Schreiben Sie einen Gästebucheintrag für die wölfin

Beiträge: 106
Registriert: 09.05.2003

Win 7 Professional (64 Bit),
AutoCAD Architecture 2015,
HP DesignJet T730,
Ricoh Aficio MP C3001

erstellt am: 18. Okt. 2017 14:39    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Super!!! Passt!!!

------------------
Sollte ich eines Tages erfahren, dass ich schon morgen sterben muss, will ich mich nicht darüber ärgern,
mir nicht genügend Zeit für die schönen Dinge im Leben genommen zu haben, sondern lächelnd in Erinnerungen schwelgen...

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

spider_dd
Mitglied



Sehen Sie sich das Profil von spider_dd an!   Senden Sie eine Private Message an spider_dd  Schreiben Sie einen Gästebucheintrag für spider_dd

Beiträge: 907
Registriert: 27.11.2003

Win7/64
ACAD 2014
C3D 2014
ET

erstellt am: 18. Okt. 2017 16:09    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für die wölfin 10 Unities + Antwort hilfreich

Zitat:
Original erstellt von joern bosse:
@Jürgen,
ich habe gerade mal bei Amazon geschaut, das Kochbuch wird ab 249,90 EUR gebraucht angeboten, Frechheit 


Na dass nenne ich mal 'ne Geldanlage, die ich damals getätigt habe   

Gruß
Thomas

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2017 CAD.de